- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# eps_removal_sp.hh File Reference

This files declares the backward and forward eps_removal algorithm. More...

Include dependency graph for eps_removal_sp.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
void | eps_removal_here_sp (Element< A, T > &a, misc::direction_type dir=misc::backward)
| In place eps_removal_sp of an automaton (default is backward eps_removal).
template<typename A, typename T>
Element< A, T > | eps_removal_sp (const Element< A, T > &a, misc::direction_type dir=misc::backward)
| Eps_Removal of an automaton (default is backward eps_removal).
template<typename A, typename T>
void | backward_eps_removal_here_sp (Element< A, T > &a)
| In place backward eps_removal_sp of an automaton.
template<typename A, typename T>
Element< A, T > | backward_eps_removal_sp (const Element< A, T > &a)
| Backward eps_removal_sp of an automaton.
template<typename A, typename T>
void | forward_eps_removal_here_sp (Element< A, T > &a)
| In place forward eps_removal_sp of an automaton.
template<typename A, typename T>
Element< A, T > | forward_eps_removal_sp (const Element< A, T > &a)
| Forward eps_removal_sp of an automaton.

## Detailed Description

This files declares the backward and forward eps_removal algorithm.

See also:
  backward_eps_removal(), backward_eps_removal_here(), forward_eps_removal(), forward_eps_removal_here(), eps_removal(), eps_removal_here()

Definition in file eps_removal_sp.hh.